## org.python.core
Class PySequenceList

    java.lang.Object
      org.python.core.PyObject
          org.python.core.PySequence
              org.python.core.PySequenceList

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PyList, PyTuple

    public abstract class PySequenceList

extends PySequence

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary

Fields inherited from class org.python.core.PyObject
`TYPE`

Method Summary
`abstract void` `add(int index, Object element)`
`abstract boolean` `add(Object o)`
`abstract boolean` `addAll(Collection c)`
`abstract boolean` `addAll(int index, Collection c)`
`abstract void` `clear()`
`abstract boolean` `contains(Object o)`
`abstract boolean` `containsAll(Collection c)`
`abstract boolean` `equals(Object o)` Should almost never be overridden.
`abstract Object` `get(int index)`
`abstract PyObject[]` `getArray()` Get the backing array.
`abstract int` `hashCode()`
`abstract int` `indexOf(Object o)`
`abstract boolean` `isEmpty()`
`abstract Iterator` `iterator()`
`abstract int` `lastIndexOf(Object o)`
`abstract ListIterator` `listIterator()`
`abstract ListIterator` `listIterator(int index)`
`abstract void` `pyadd(int index, PyObject element)`
`abstract boolean` `pyadd(PyObject o)`
`abstract PyObject` `pyget(int index)`
`abstract void` `pyset(int index, PyObject element)` Sets the given element of the sequence.
`abstract Object` `remove(int index)`
`abstract void` `remove(int start, int stop)`
`abstract boolean` `remove(Object o)`
`abstract boolean` `removeAll(Collection c)`
`abstract boolean` `retainAll(Collection c)`
`abstract Object` `set(int index, Object element)`
`abstract int` `size()`
`abstract List` `subList(int fromIndex, int toIndex)`
`abstract Object[]` `toArray()`
`abstract Object[]` `toArray(Object[] a)`
`abstract String` `toString()`

Methods inherited from class org.python.core.PySequence
`__delitem__, __delslice__, __eq__, __finditem__, __finditem__, __ge__, __getitem__, __getslice__, __gt__, __iter__, __le__, __lt__, __ne__, __nonzero__, __setitem__, __setitem__, __setslice__, __tojava__, isMappingType, isNumberType, isSequenceType`

Methods inherited from class org.python.core.PyObject

`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delslice__, __dir__, __div__, __divmod__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __float__, __floordiv__, __get__, __getattr__, __getattr__, __getitem__, __getnewargs__, __getslice__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iternext__, __itruediv__, __ixor__, __len__, __long__, __lshift__, __mod__, __mul__, __neg__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setslice__, __str__, __sub__, __truediv__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, delDict, delType, dispatch__init__, fastGetClass, fastGetDict, getDict, getType, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, noAttributeError, readonlyAttributeError, setDict, setType`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### add

    public abstract void add(int index,
                             Object element)

### add

    public abstract boolean add(Object o)

### addAll

    public abstract boolean addAll(int index,
                                   Collection c)

### addAll

    public abstract boolean addAll(Collection c)

### clear

    public abstract void clear()

### contains

    public abstract boolean contains(Object o)

### containsAll

    public abstract boolean containsAll(Collection c)

### equals

    public abstract boolean equals(Object o)

  Description copied from class: `PyObject`
  Should almost never be overridden. If overridden, it is the subclasses responsibility to ensure that `a.equals(b) == true` iff `cmp(a,b) == 0`

  Overrides:
    `equals` in class `PyObject`

### get

    public abstract Object get(int index)

### getArray

    public abstract PyObject[] getArray()

  Get the backing array. The array should not be modified. To get a copy of the array, see `toArray()`.

### hashCode

    public abstract int hashCode()

  Overrides:
    `hashCode` in class `PyObject`

### indexOf

    public abstract int indexOf(Object o)

### isEmpty

    public abstract boolean isEmpty()

### iterator

    public abstract Iterator iterator()

### lastIndexOf

    public abstract int lastIndexOf(Object o)

### listIterator

    public abstract ListIterator listIterator()

### listIterator

    public abstract ListIterator listIterator(int index)

### pyadd

    public abstract void pyadd(int index,
                               PyObject element)

### pyadd

    public abstract boolean pyadd(PyObject o)

### pyget

    public abstract PyObject pyget(int index)

  Parameters:
    `index` - index of element to return.
  Returns:
    the element at the given position in the list.

### pyset

    public abstract void pyset(int index,
                               PyObject element)

  Description copied from class: `PySequence`
  Sets the given element of the sequence.

  Parameters:
    `index` - index of the element to set.
    `element` - the value to set this element to.

### remove

    public abstract Object remove(int index)

### remove

    public abstract void remove(int start,
                                int stop)

### remove

    public abstract boolean remove(Object o)

### removeAll

    public abstract boolean removeAll(Collection c)

### retainAll

    public abstract boolean retainAll(Collection c)

### set

    public abstract Object set(int index,
                               Object element)

### size

    public abstract int size()

### subList

    public abstract List subList(int fromIndex,
                                 int toIndex)

### toArray

    public abstract Object[] toArray()

### toArray

    public abstract Object[] toArray(Object[] a)

### toString

    public abstract String toString()

  Overrides:
    `toString` in class `PyObject`

Jython homepage